%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}

%define		rubyabi		1.8


Name:		mfiler2
Version:	4.0.9b
Release:	1%{?dist}
Summary:	Two pane file manager under UNIX console

Group:		Applications/Editors
License:	GPL+ or Ruby
URL:		http://www.geocities.jp/daisuke530221jp/
Source0:	http://www.geocities.jp/daisuke530221jp/%{name}-%{version}.tgz
Patch0:		mfiler2-4.0.0-use-external.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmigemo-devel
BuildRequires:	ncurses-devel
BuildRequires:	oniguruma-devel
BuildRequires:	wkf-devel

# ruby-devel requires ruby-libs but does not require ruby
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}

Requires:	ruby
Requires:	ruby(abi) = %{rubyabi}

%description
Minnu's Filer2 is a two pane file manager under UNIX console.

%package	mdnd
Summary:	Drag and drop support for %{name}
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

Requires:	ruby(gtk2)

%description	mdnd
This package supports drag and drop usage for %{name}.


%prep
%setup -q
%patch0 -p1 -b .external
%{__sed} -i.strip -e 's| -s -m| -m|' Makefile.in

# Remove unneeded internal directories to make it sure that
# we are using external libraries
%{__rm} -rf \
	migemo-dic/ \
	onig*/ \
	wkf*/

%build
%configure \
	--sysconfdir=%{_sysconfdir}/%{name}
%{__make} %{?_smp_mflags} \
	CC="%{__cc} $RPM_OPT_FLAGS" \
	CXX="%{__cxx} $RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Use %%makeinstall
%makeinstall \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	INSTALL="%{__install} -c -p"


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc	COPYING
%doc	GPL
%doc	README
%doc	index-en.html
%lang(ja)	%doc	README.utf8.jp
%lang(ja)	%doc	history.html
%lang(ja)	%doc	index.html
%lang(ja)	%doc	keybind*html
%lang(ja)	%doc	manual.html
%lang(ja)	%doc	shell.html
%doc	sample/

%config(noreplace)	%{_sysconfdir}/%{name}/
%{_bindir}/*
%exclude	%{_bindir}/mdnd

%files	mdnd
%defattr(-,root,root,-)
%{_bindir}/mdnd


%changelog
* Mon Mar  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.9b-1
- 4.0.9b

* Wed Feb 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.9a-1
- 4.0.9a

* Fri Feb 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.9-1
- 4.0.9

* Sun Feb 10 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.8g-1
- 4.0.8g

* Sun Feb  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.8c-1
- 4.0.8c

* Thu Jan 24 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.8b-1
- 4.0.8b

* Sat Jan 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.8-1
- 4.0.8

* Thu Jan 10 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.7-1
- 4.0.7

* Sun Jan  6 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.6-1
- 4.0.6

* Wed Dec 26 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.5b-1
- 4.0.5b

* Thu Dec 20 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.1-1
- 4.0.1

* Wed Dec 19 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.0e-1
- 4.0.0e

* Sun Dec 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.0a-1
- 4.0.0a

* Tue Dec 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.0.0-1
- 4.0.0

* Sat Dec  8 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.2.3-2
- Add missing CFLAGS

* Thu Dec  6 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.2.3-1
- Initial packaging

